apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: envoy-app
  namespace: argocd
spec:
  syncPolicy:
    automated:
      enabled: true
    syncOptions:
    - ServerSideApply=true
  project: default
  source:
    chart: gateway-helm
    repoURL: docker.io/envoyproxy
    targetRevision: v1.5.4
  destination:
    namespace: default
    server: 'https://kubernetes.default.svc'